%define upstream_name    Data-Validate-IP
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Lightweight IPv4 and IPv6 validation module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(NetAddr::IP) >= 4.0.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module collects ip validation routines to make input validation, and
untainting easier and more readable.

All functions return an untainted value if the test passes, and undef if it
fails. This means that you should always check for a defined status
explicitly. Don't assume the return will be true. (e.g. is_username('0'))

The value to test is always the first (and often only) argument.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 530087
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 454692
- update to 0.20

* Wed May 29 2013 shlomif <shlomif> 0.190.0-1.mga4
+ Revision: 432477
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 365536
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 kharec <kharec> 0.140.0-1.mga3
+ Revision: 284119
- imported package perl-Data-Validate-IP


* Sun Aug 26 2012 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
